Detect Safari 1.0.3

Discussion in 'Web Design and Development' started by pulsewidth947, Oct 24, 2006.

  1. pulsewidth947 macrumors 65816

    pulsewidth947

    Joined:
    Jan 25, 2005
    Location:
    squarefrog.co.uk
    #1
    Is there any way I can get a script to detect someone using Safari 1.0.3? The reason I ask is I've created a site which works well on all browsers, but due to the fact I am using LightBox 2, there are problems with Safari 1.0.3. A user will click on a picture which starts the Lightbox effect, but then doesn't complete.

    I'd like a way of making picture links open in the same window for Safari users when they are using a version lower than 1.2. Mac compatibility is quite important to me, as a Mac user.

    I've never used JS before, but I'm used to XHTML, PHP and CSS, although I can't find a way of doing what I'd like with those languages. Any help would be greatly appreciated.
     
  2. Mal macrumors 603

    Mal

    Joined:
    Jan 6, 2002
    Location:
    Orlando
    #2
    I know the browser's id transmitted to your site does contain the Safari version number (I'm totally blanking on what these are called or exactly how it writes it), so I would assume you could use the same methods that allow you to redirect Netscape users or IE users or whoever is not compatible would work for versioning as well, because it's also transmitted.

    jW
     

Share This Page